Bug 885805 - [Configure the NSAPI Connector on Oracle Solaris]: Deprecations
Summary: [Configure the NSAPI Connector on Oracle Solaris]: Deprecations
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Documentation
Version: 6.0.1
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: GA
: EAP 6.3.0
Assignee: David Michael
QA Contact:
David Michael
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-12-10 16:50 UTC by Jan Stefl
Modified: 2014-09-29 22:50 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Instance Name: Not Defined Build: CSProcessor Builder Version 1.7 Build Name: 8740, Administration and Configuration Guide-6-2 Build Date: 03-12-2012 10:30:09
Last Closed: 2014-06-28 15:44:44 UTC
Type: Bug


Attachments (Terms of Use)

Description Jan Stefl 2012-12-10 16:50:39 UTC
http://documentation-devel.engineering.redhat.com/docs/en-US/JBoss_Enterprise_Application_Platform/6/html/Administration_and_Configuration_Guide/Configure_the_NSAPI_Connector_on_Oracle_Solaris1.html

Please do the replacements:

Prerequisites
 - "Your server is running Oracle Solaris 9 or greater, on either a 32-bit or 64-bit architecture." -> "Your server is running Oracle Solaris 10 or greater, on either a Intel 32-bit, Intel 64-bit or SPARC64 architecture."

 - "Oracle iPlanet Web Server 6.1 SP 12 or 7.0 U8 is installed and configured, aside from the NSAPI connector." -> "Oracle iPlanet Web Server 7.0.X is installed and configured, aside from the NSAPI connector."


Procedure 13.15. Task
1.
 - "The rest of this procedure assumes that the Native Components package is extracted to a directory called connectors/ in /opt/oracle/webserver7/config/" -> The rest of this procedure assumes that the Native Components package is extracted to a JBOSS_HOME directory. For the rest of this procedure, the directory "/opt/oracle/webserver7/config/" will be referred to as IPLANET_CONFIG.

 - "...If your Oracle iPlanet configuration directory is different, or you are running Oracle iPlanet Web Server 6, modify the procedure accordingly." -> "...If your Oracle iPlanet configuration directory is different, modify the procedure accordingly."

3. 
Init fn="load-modules" funcs="jk_init,jk_service" shlib="IPLANET_CONFIG/connectors/lib/nsapi_redirector.so" shlib_flags="(global|now)"
Init fn="jk_init" worker_file="IPLANET_CONFIG/connectors/workers.properties" log_level="debug" log_file="IPLANET_CONFIG/config/connectors/nsapi.log" shm_file="IPLANET_CONFIG/conf/connectors/jk_shm"
->
Init fn="load-modules" funcs="jk_init,jk_service" shlib="JBOSS_HOME/jboss-eap-6.0/modules/native/lib/nsapi_redirector.so" shlib_flags="(global|now)"
Init fn="jk_init" worker_file="IPLANET_CONFIG/connectors/workers.properties" log_level="debug" log_file="IPLANET_CONFIG/connectors/nsapi.log" shm_file="IPLANET_CONFIG/connectors/tmp/jk_shm"


WARNING: Grammatics or stylistics errors could appeared. Please read carefully before copy/paste. Thank you for understanding :-).

--
Verified with Revision 0.0-16	 Mon Dec 03 2012

Comment 1 Jan Stefl 2012-12-11 08:13:27 UTC
Just one correction in previous text (removed root dir. of EAP "jboss-eap-6.0"):

3.
Init fn="load-modules" funcs="jk_init,jk_service" shlib="IPLANET_CONFIG/connectors/lib/nsapi_redirector.so" shlib_flags="(global|now)"
Init fn="jk_init" worker_file="IPLANET_CONFIG/connectors/workers.properties" log_level="debug" log_file="IPLANET_CONFIG/config/connectors/nsapi.log" shm_file="IPLANET_CONFIG/conf/connectors/jk_shm"
->
Init fn="load-modules" funcs="jk_init,jk_service" shlib="JBOSS_HOME/modules/native/lib/nsapi_redirector.so" shlib_flags="(global|now)"
Init fn="jk_init" worker_file="IPLANET_CONFIG/connectors/workers.properties" log_level="debug" log_file="IPLANET_CONFIG/connectors/nsapi.log" shm_file="IPLANET_CONFIG/connectors/tmp/jk_shm"

Comment 2 Jan Stefl 2012-12-11 09:10:18 UTC
And I suggest to link to https://access.redhat.com/knowledge/articles/111663 (JBoss Enterprise Application Platform (EAP) 6 Supported Configurations) somewhere in the prerequisites.

Comment 4 Misha H. Ali 2014-02-05 04:36:35 UTC
(In reply to Jan Stefl from comment #0)
> http://documentation-devel.engineering.redhat.com/docs/en-US/
> JBoss_Enterprise_Application_Platform/6/html/
> Administration_and_Configuration_Guide/
> Configure_the_NSAPI_Connector_on_Oracle_Solaris1.html
> 
> Please do the replacements:
> 
> Prerequisites
>  - "Your server is running Oracle Solaris 9 or greater, on either a 32-bit
> or 64-bit architecture." -> "Your server is running Oracle Solaris 10 or
> greater, on either a Intel 32-bit, Intel 64-bit or SPARC64 architecture."

Fixed as suggested.

>  - "Oracle iPlanet Web Server 6.1 SP 12 or 7.0 U8 is installed and
> configured, aside from the NSAPI connector." -> "Oracle iPlanet Web Server
> 7.0.X is installed and configured, aside from the NSAPI connector."

Fixed as suggested.

> Procedure 13.15. Task
> 1.
>  - "The rest of this procedure assumes that the Native Components package is
> extracted to a directory called connectors/ in
> /opt/oracle/webserver7/config/" -> The rest of this procedure assumes that
> the Native Components package is extracted to a JBOSS_HOME directory. For
> the rest of this procedure, the directory "/opt/oracle/webserver7/config/"
> will be referred to as IPLANET_CONFIG.

Fixed as suggested.
 
>  - "...If your Oracle iPlanet configuration directory is different, or you
> are running Oracle iPlanet Web Server 6, modify the procedure accordingly."
> -> "...If your Oracle iPlanet configuration directory is different, modify
> the procedure accordingly."

Fixed as suggested.

> 3. 
> Init fn="load-modules" funcs="jk_init,jk_service"
> shlib="IPLANET_CONFIG/connectors/lib/nsapi_redirector.so"
> shlib_flags="(global|now)"
> Init fn="jk_init" worker_file="IPLANET_CONFIG/connectors/workers.properties"
> log_level="debug" log_file="IPLANET_CONFIG/config/connectors/nsapi.log"
> shm_file="IPLANET_CONFIG/conf/connectors/jk_shm"
> ->
> Init fn="load-modules" funcs="jk_init,jk_service"
> shlib="JBOSS_HOME/jboss-eap-6.0/modules/native/lib/nsapi_redirector.so"
> shlib_flags="(global|now)"
> Init fn="jk_init" worker_file="IPLANET_CONFIG/connectors/workers.properties"
> log_level="debug" log_file="IPLANET_CONFIG/connectors/nsapi.log"
> shm_file="IPLANET_CONFIG/connectors/tmp/jk_shm"

Fixed as suggested.

> WARNING: Grammatics or stylistics errors could appeared. Please read
> carefully before copy/paste. Thank you for understanding :-).
> 
> --
> Verified with Revision 0.0-16	 Mon Dec 03 2012

Comment 8 Jan Stefl 2014-03-05 14:26:03 UTC
Ok, this issue is quite old so the requirements are slightly outdated.

Prerequistes
Correct string for 6.3 and 6.2
 - "Your server is running Oracle Solaris 10 or greater, on either an Intel 32-bit, an Intel 64-bit, or a SPARC64 architecture"
 - "Oracle iPlanet Web Server 7.0.15 or later for Intel architectures, or or 7.0.14 or later for SPARC architectures, is installed and configured, aside from the NSAPI connector." 


1. Correct string for 6.3 and 6.2
 - The rest of this procedure assumes that the Native Components package is extracted to the JBOSS_HOME directory. For the rest of this procedure, the directory /opt/oracle/webserver7/config/ is referred to as IPLANET_CONFIG. If your Oracle iPlanet configuration directory is different, modify the procedure accordingly.

2. and 3. Correct string for 6.3 and 6.2
Init fn="load-modules" funcs="jk_init,jk_service" shlib="JBOSS_HOME/modules/system/layers/base/native/lib/nsapi_redirector.so" shlib_flags="(global|now)"
Init fn="jk_init" worker_file="IPLANET_CONFIG/connectors/workers.properties" log_level="debug" log_file="IPLANET_CONFIG/connectors/nsapi.log" shm_file="IPLANET_CONFIG/connectors/tmp/jk_shm"

Comment 12 Jan Stefl 2014-06-03 15:28:36 UTC
Verified in Revision 6.3.0-21 - PASSED


Note You need to log in before you can comment on or make changes to this bug.